#include "nordic_common.h"
#include "nrf.h"
#include "softdevice_handler.h"
#include "app_util_platform.h"
#include "nrf_delay.h"
#include "app_error.h"
#include "nrf_gpio.h"
#include "nrf_drv_spi.h"
#include "application_spi2.h"

uint8_t 	commandDataBuffer[254];
int main(void){
	SystemInit();

    nrf_gpio_cfg_output(9);
    nrf_gpio_cfg_output(13);
	application_spi2_init();
while(1){
	    nrf_drv_spi_xfer_desc_t xfer_desc;
	    xfer_desc.p_tx_buffer = commandDataBuffer;
	    xfer_desc.p_rx_buffer = NULL;
	    xfer_desc.tx_length   = 252;
	    xfer_desc.rx_length   = 0;

		NRF_GPIO->OUTSET = (1 << 13);
	    nrf_drv_spi_xfer(&spi2_sd, &xfer_desc, 0);
		NRF_GPIO->OUTCLR = (1 << 13);
	    nrf_delay_ms(10);
	}
}
